# coding: utf-8
lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "gunit_rails"

Gem::Specification.new do |spec|
  spec.name          = "gunit_rails"
  spec.version       = GunitRails::VERSION
  spec.authors       = ["Garrett Massman"]
  spec.email         = ["gmassman20@gmail.com"]

  spec.summary       = %q{Greatest unit and integration testing for Rails}
  spec.description   = %q{
                          Gunit-rails is a testing framework built on top of FactoryGirl.
                          It is a middleware that manages seed data state during test suites and local development.
                         }
  spec.homepage      = "https://github.com/skuposinc"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(spec|examples)/})
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.15"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.0"
end
